// #autoload
// #name = AutoPoints
// #version = 3.0.2
// #date = May 25, 2001
// #author = <a:player	-Boots-	60><spush><color:FFFFFF>-Boots-<spop></a>
// #warrior = -Boots-
// #email = boots@bootsware.com
// #web = http://www.bootsware.com
// #description = Automatically adds waypoints to players.
// #status = Beta
// #readme = scripts/autoexec/-boots-/autopoints.txt
// #config = autoPointsConfigGUI
// #update = AutoPoints
$autoPoints::version = "3.0.2";

package AutoPoints_Update {
function UpgradeInfo()
{
  $Upgrade::Instructions = "Read the file AutoPoints.txt it has some very important information.  Updates to the script will take affect next time you start Tribes 2.";
  $Upgrade::Fixes = "Fixed the problem introduced in v3.0.1 of settings not save across instances of Tribes 2";
  $Upgrade::Version = "3.0.2";
}
};

//
// Function: apGetMyClientID
//
// Desc: Get my client ID so I don't try to set a waypoint to myself
//
function apGetMyClientID(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid) {

	if(StrStr(%msgString, "Welcome to Tribes") != -1) {
		$CurrentClientId = %clientId;
	}
}

//
// Function: apSomeoneJoinedATeam
//
// Desc: A person joined either Storm, Inferno of Observers.. set a waypoint to them if appropriate
//
function apSomeoneJoinedATeam(%msgType, %msgString, %clientName, %teamName, %clientId, %teamId)
{
   %i = 0;
   while((%obj = PlayerListGroup.getObject(%i)) != -1) {
       if (%obj.clientId == %clientId) {
           // if this is us, then lets save off the team
           if (%clientId == $CurrentClientId && $CurrentClientId != 0) {
               $CurrentTeamId = %obj.teamId;
           }
       }
       %i++;
   }
   apRefreshWayPoints();
}

//
// Function: IsBuddy
//
// Desc:  Is the name of this player one of the typed in Buddies?
//
// Note: I HATE this function.  Its butt ugly code!  If only I could get edit boxes
//       to take an array variable this function would be a hell of lot nicer
//
function IsBuddy(%name)
{
    %rtnVal = 0;
    if (StrStr(%name, $autoPoints::buddy0) != -1 && strlen($autoPoints::buddy0) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy1) != -1 && strlen($autoPoints::buddy1) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy2) != -1 && strlen($autoPoints::buddy2) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy3) != -1 && strlen($autoPoints::buddy3) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy4) != -1 && strlen($autoPoints::buddy4) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy5) != -1 && strlen($autoPoints::buddy5) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy6) != -1 && strlen($autoPoints::buddy6) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy7) != -1 && strlen($autoPoints::buddy7) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy8) != -1 && strlen($autoPoints::buddy8) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy9) != -1 && strlen($autoPoints::buddy9) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy10) != -1 && strlen($autoPoints::buddy10) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy11) != -1 && strlen($autoPoints::buddy11) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy12) != -1 && strlen($autoPoints::buddy12) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy13) != -1 && strlen($autoPoints::buddy13) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy14) != -1 && strlen($autoPoints::buddy14) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy15) != -1 && strlen($autoPoints::buddy15) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy16) != -1 && strlen($autoPoints::buddy16) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy17) != -1 && strlen($autoPoints::buddy17) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy18) != -1 && strlen($autoPoints::buddy18) > 0)
        %rtnVal = 1;
    if (StrStr(%name, $autoPoints::buddy19) != -1 && strlen($autoPoints::buddy19) > 0)
        %rtnVal = 1;
        
    return %rtnVal;
}
//
// Function: apCreateWayPoints()
//
// Decs:     Goes through the list of players and sets way points
//
function apCreateWayPoints()
{
   %i = 0;
   while((%obj = PlayerListGroup.getObject(%i)) != -1) {

       // if the player we are looking at is not ourselves, set a waypoit
       if (%obj.clientId != $CurrentClientId) {
           if (%obj.teamId != 0) {
           
               // Is it someone on my team?
               if ($autoPoints::addFriendly == 1 && %obj.teamId == $CurrentTeamId) {
                   echo("Adding friendly: " @ %obj.name);
                   apAddWayPointToPlayer(%obj.name, %obj.targetID);
               }
               
               // Is it an enemy?
               if ($autoPoints::addEnemy == 1 && %obj.teamId != $CurrentTeamId && %obj.teamId != 0) {
                  echo("Adding enemy: " @ %obj.name);
                  apAddWayPointToPlayer(%obj.name, %obj.targetID);
               }
               
               // perhaps a buddy?
               if ($autoPoints::addBuddy == 1 && %obj.teamId != 0) {
                  if (IsBuddy(%obj.name) == 1) {
                      echo("Adding buddy: " @ %obj.name);
                      apAddWayPointToPlayer(%obj.name, %obj.targetID);
                  }
               }
           }
       }
       %i++;
   }
}

//
// Function: apAddWayPointToPlayer
//
// Desc: Set a waypoint for this player
//
function apAddWayPointToPlayer(%name, %targetID)
{
//    echo("AddWayPointToPlayer: " @ %name @ " target: " @ %targetID);
    %targetnum = createClientTarget(%targetID, "0 0 0");
    %targetnum.createWaypoint(%name);
    $ClientWaypoints.add(%targetnum);
}

//
// Function: apClearWayPoints
//
// Desc: The map has ended, clear out all waypoints
//
function apClearWayPoints()
{
   if(isObject($ClientWaypoints))
      $ClientWaypoints.delete();

   $ClientWaypoints = new SimGroup();
   ServerConnection.add($ClientWaypoints);

   CommanderMapGui.firstWake = true;
   CommanderTree.currentWaypointID = 0;
}

//
// Function: apRefreshWayPoints
//
// Desc: Delete and recreate the waypoints
//
function apRefreshWayPoints()
{
    apClearWayPoints();
    apCreateWayPoints();
}
//
// Function: apStartMap
//
// Desc: We are starting the map, add all players
//
function apStartMap(%msg)
{
   apRefreshWayPoints();
}

package autoPoints
{

//
// Function: DispatchLaunchMode
//
// Desc: Register for the the events we are interested in
//
function DisconnectedCleanup()
{
	parent::DisconnectedCleanup();
	$CurrentClientId = 0;
    $CurrentTeamId = 0;
}

//
// Function: DispatchLaunchMode
//
// Desc: Register for the the events we are interested in
//
function DispatchLaunchMode()
{
    addMessageCallback('MsgClientJoin',     apGetMyClientID);
	addMessageCallback('MsgClientJoinTeam', apSomeoneJoinedATeam);
    addMessageCallback('MsgGameOver',       apClearWayPoints);
    addMessageCallBack('MsgMissionStart',   apStartMap);

	parent::DispatchLaunchMode();
}

//
// Function: OptionsDlg::onWake
//
// Desc: Get us a key binding
//
function OptionsDlg::onWake(%this)
{
	if ($RefreshAPBind $= "false") {
		$RemapName[$RemapCount]="Refresh AutoPoints";
		$RemapCmd[$RemapCount]="apRefreshWayPoints";
		$RemapCount++;
		$RefreshAPBind = "true";
	}
	parent::onWake( %this );
}

};
$RefreshAPBind = "false";
$CurrentClientId = 0;
$CurrentTeamId = 0;
$autoPoints::addFriendly = 1;
$autoPoints::addEnemy = 1;
$autoPoints::addBuddy = 0;
$autoPoints::buddy0 = "";
$autoPoints::buddy1 = "";
$autoPoints::buddy2 = "";
$autoPoints::buddy3 = "";
$autoPoints::buddy4 = "";
$autoPoints::buddy5 = "";
$autoPoints::buddy6 = "";
$autoPoints::buddy7 = "";
$autoPoints::buddy8 = "";
$autoPoints::buddy9 = "";
$autoPoints::buddy10 = "";
$autoPoints::buddy11 = "";
$autoPoints::buddy12 = "";
$autoPoints::buddy13 = "";
$autoPoints::buddy14 = "";
$autoPoints::buddy15 = "";
$autoPoints::buddy16 = "";
$autoPoints::buddy17 = "";
$autoPoints::buddy18 = "";
$autoPoints::buddy19 = "";

$autoPoints::test = "test";

activatePackage(autoPoints);

if(!isObject(autoPointsGUI))
{
    new ScriptObject(autoPointsGUI)
    {
        class = autoPointsGUI;
    };
}

//
// Function: autoPointsGUI::CreatePrefFileHeader
//
// Desc: Add a little header to our settings file
//
function autoPointsGUI::CreatePrefFileHeader(%this)
{
	if(!isobject(%this.fileeditor))
	{
		 %this.fileeditor = new FileObject();
	}
	%this.fileeditor.openForWrite("prefs/autopointsprefs.cs");
	%this.fileeditor.writeline("//         Auto-Points Script Pack Pref File");
	%this.fileeditor.writeline("//");
	%this.fileeditor.writeline("//	Settings may be altered in this file but you are better off using the GUI");
	%this.fileeditor.writeline("// 	in the in-game scripts browser for any alterations to this file.");
	%this.fileeditor.writeline("// ");
	%this.fileeditor.writeline("// 	Your changes will not become current until you restart Tribes 2 if edited here.");
	%this.fileeditor.writeline("// ");
	%this.fileeditor.writeline("// ===========================================================================");

    %this.version = $autoPoints::version;
    %this.fileeditor.writeline("autoPointsGUI.version = \""@%this.version@"\";");
    %this.fileeditor.writeline("");
}

//
// Function: autoPointsGUI::CreateDefaultSettings
//
// Desc: Load the initial settings for Auto-Points
//
function autoPointsGUI::CreateDefaultSettings(%this)
{
	%this.CreatePrefFileHeader();
	%this.fileeditor.writeline("//");
	%this.fileeditor.writeline("//");
	%this.fileeditor.writeline("//	Settings");
	%this.fileeditor.writeline("autoPointsGUI.addFriendly = 1;");
	%this.fileeditor.writeline("autoPointsGUI.addEnemy = 1;");
	%this.fileeditor.writeline("autoPointsGUI.addBuddy = 0;");
    %this.fileeditor.writeline("//");
	%this.fileeditor.writeline("//");
	%this.fileeditor.writeline("//	Buddies");
    %this.fileeditor.writeline("autoPointsGUI.buddy0 = \"- Boots -\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy1 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy2 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy3 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy4 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy5 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy6 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy7 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy8 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy9 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy10 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy11 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy12 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy13 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy14 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy15 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy16 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy17 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy18 = \"\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy19 = \"\";");
    %this.fileeditor.close();
}

//
// Function: autoPointsGUI::SaveSettings
//
// Desc: Write the settings to disk
//
function autoPointsGUI::SaveSettings(%this)
{
    %this.CreatePrefFileHeader();
	%this.addFriendly = $autoPoints::addFriendly == 1 ? 1 : 0;
	%this.addEnemy = $autoPoints::addEnemy == 1 ? 1 : 0;
	%this.addBuddy = $autoPoints::addBuddy == 1 ? 1 : 0;
    %this.buddy0 = $autoPoints::buddy0;
    %this.buddy1 = $autoPoints::buddy1;
    %this.buddy2 = $autoPoints::buddy2;
    %this.buddy3 = $autoPoints::buddy3;
    %this.buddy4 = $autoPoints::buddy4;
    %this.buddy5 = $autoPoints::buddy5;
    %this.buddy6 = $autoPoints::buddy6;
    %this.buddy7 = $autoPoints::buddy7;
    %this.buddy8 = $autoPoints::buddy8;
    %this.buddy9 = $autoPoints::buddy9;
    %this.buddy10 = $autoPoints::buddy10;
    %this.buddy11 = $autoPoints::buddy11;
    %this.buddy12 = $autoPoints::buddy12;
    %this.buddy13 = $autoPoints::buddy13;
    %this.buddy14 = $autoPoints::buddy14;
    %this.buddy15 = $autoPoints::buddy15;
    %this.buddy16 = $autoPoints::buddy16;
    %this.buddy17 = $autoPoints::buddy17;
    %this.buddy18 = $autoPoints::buddy18;
    %this.buddy19 = $autoPoints::buddy19;
    
	%this.fileeditor.writeline("//");
	%this.fileeditor.writeline("//");
	%this.fileeditor.writeline("//	Settings");
    %this.fileeditor.writeline("autoPointsGUI.addFriendly = "@%this.addFriendly@";");
	%this.fileeditor.writeline("autoPointsGUI.addEnemy = "@%this.addEnemy@";");
	%this.fileeditor.writeline("autoPointsGUI.addBuddy = "@%this.addBuddy@";");
	%this.fileeditor.writeline("//");
	%this.fileeditor.writeline("//");
	%this.fileeditor.writeline("//	Buddies");
    %this.fileeditor.writeline("autoPointsGUI.buddy0 = \"" @  %this.buddy0  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy1 = \"" @  %this.buddy1  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy2 = \"" @  %this.buddy2  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy3 = \"" @  %this.buddy3  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy4 = \"" @  %this.buddy4  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy5 = \"" @  %this.buddy5  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy6 = \"" @  %this.buddy6  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy7 = \"" @  %this.buddy7  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy8 = \"" @  %this.buddy8  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy9 = \"" @  %this.buddy9  @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy10 = \"" @ %this.buddy10 @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy11 = \"" @ %this.buddy11 @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy12 = \"" @ %this.buddy12 @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy13 = \"" @ %this.buddy13 @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy14 = \"" @ %this.buddy14 @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy15 = \"" @ %this.buddy15 @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy16 = \"" @ %this.buddy16 @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy17 = \"" @ %this.buddy17 @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy18 = \"" @ %this.buddy18 @ "\";");
    %this.fileeditor.writeline("autoPointsGUI.buddy19 = \"" @ %this.buddy19 @ "\";");
	%this.fileeditor.close();
}

//
// Function: apSaveSettings
//
// Desc: The user wishes to save the changes to the options
//
function apSaveSettings()
{
    autoPointsGUI.SaveSettings();
    if ($CurrentClientId != 0) {
        apClearWayPoints();
        apCreateWayPoints();
    }
}

//
// Function: autoPointsGUI::Startup
//
// Desc: "Constructor"  Go load up my settings
//
function autoPointsGUI::Startup(%this)
{
	if(!isfile("prefs/autopointsprefs.cs")) {
        echo("prefs/autopointsprefs.cs not found");
		%this.CreateDefaultSettings();
    }
	exec("prefs/autopointsprefs.cs");
    $autoPoints::addFriendly = %this.addFriendly;
    $autoPoints::addEnemy = %this.addEnemy;
    $autoPoints::addBuddy = %this.addBuddy;
    $autoPoints::buddy["0"] = %this.buddy0;
    $autoPoints::buddy["1"] = %this.buddy1;
    $autoPoints::buddy["2"] = %this.buddy2;
    $autoPoints::buddy["3"] = %this.buddy3;
    $autoPoints::buddy["4"] = %this.buddy4;
    $autoPoints::buddy["5"] = %this.buddy5;
    $autoPoints::buddy["6"] = %this.buddy6;
    $autoPoints::buddy["7"] = %this.buddy7;
    $autoPoints::buddy["8"] = %this.buddy8;
    $autoPoints::buddy["9"] = %this.buddy9;
    $autoPoints::buddy["10"] = %this.buddy10;
    $autoPoints::buddy["11"] = %this.buddy11;
    $autoPoints::buddy["12"] = %this.buddy12;
    $autoPoints::buddy["13"] = %this.buddy13;
    $autoPoints::buddy["14"] = %this.buddy14;
    $autoPoints::buddy["15"] = %this.buddy15;
    $autoPoints::buddy["16"] = %this.buddy16;
    $autoPoints::buddy["17"] = %this.buddy17;
    $autoPoints::buddy["18"] = %this.buddy18;
    $autoPoints::buddy["19"] = %this.buddy19;

}

autoPointsGUI.Startup();

new GuiControl(autoPointsConfigGUI) {
	profile = "GuiDefaultProfile";
	horizSizing = "width";
   	vertSizing = "height";
	position = "0 0";
	extent = "390 315";
	minExtent = "390 315";
	visible = "1";
	helpTag = "0";
	pane = "Main";
 
    new ShellScrollCtrl(AutoPoints_Scroll) {
	    profile = "NewScrollCtrlProfile";
	    horizSizing = "width";
	    vertSizing = "height";
	    position = "5 6";
	    extent = "389 314";
	    minExtent = "389 314";
	    visible = "1";
	    helpTag = "0";
	    willFirstRespond = "1";
	    hScrollBar = "dynamic";
	    vScrollBar = "dynamic";
	    constantThumbHeight = "0";
	    defaultLineHeight = "15";
	    childMargin = "0 3";
	    fieldBase = "gui/shll_field";
     
        new ShellPaneCtrl() {
			profile = "ShellDlgPaneProfile";
			horizSizing = "left";
			vertSizing = "top";
			position = "-16 24";
			extent = "600 489";
			minExtent = "48 92";
			visible = "1";
			helpTag = "0";
			text = "AUTO-POINTS CONFIG";
			maxLength = "255";
			noTitleBar = "0";

               	new ShellToggleButton() {
               	    profile = "ShellRadioProfile";
                    horizSizing = "right";
                    vertSizing = "bottom";
                    position = "30 30";
                    extent = "170 30";
                    minExtent = "26 27";
                    visible = "1";
				    variable = "$autoPoints::addFriendly";
				    helpTag = "0";
				    text = "AUTO WAYPOINT FRIENDLIES";
				    maxLength = "255";
			    };
			    new ShellToggleButton() {
    				profile = "ShellRadioProfile";
                    horizSizing = "right";
    				vertSizing = "bottom";
				    position = "30 60";
    				extent = "170 30";
				    minExtent = "26 27";
    				visible = "1";
				    variable = "$autoPoints::addEnemy";
    				helpTag = "0";
				    text = "AUTO WAYPOINT ENEMIES";
    				maxLength = "255";
    			};
       
                new ShellToggleButton() {
				    profile = "ShellRadioProfile";
    				horizSizing = "right";
				    vertSizing = "bottom";
    				position = "30 90";
				    extent = "170 30";
    				minExtent = "26 27";
				    visible = "1";
    				variable = "$autoPoints::addBuddy";
				    helpTag = "0";
    				text = "AUTO WAYPOINT PEOPLE";
				    maxLength = "255";
    			};

                new GuiTextCtrl() {
			        profile = "ShellMediumTextProfile";
    			    horizSizing = "right";
			        vertSizing = "bottom";
    			    position = "60 127";
			        extent = "10 10";
    			    minExtent = "8 8";
			        visible = "1";
    			    helpTag = "0";
			        text = "1:";
    		    };
                new ShellTextEditCtrl() {
                    profile = "NewTextEditProfile";
                    horizSizing = "right";
                    vertSizing = "bottom";
                    position = "75 120";
    			    extent = "170 30";
			        minExtent = "10 10";
    			    visible = "1";
                    variable = "$autoPoints::buddy0";
    			    helpTag = "0";
			        historySize = "0";
    			     maxLength = "256";
			        password = "0";
    			    glowOffset = "9 9";
		        };

                new GuiTextCtrl() {
			        profile = "ShellMediumTextProfile";
    			    horizSizing = "right";
			        vertSizing = "bottom";
				    position = "60 157";
				    extent = "10 10";
				    minExtent = "8 8";
				    visible = "1";
				    helpTag = "0";
				    text = "2:";
			    };
	            new ShellTextEditCtrl() {
	                profile = "NewTextEditProfile";
	                horizSizing = "right";
	                vertSizing = "bottom";
	                position = "75 150";
				    extent = "170 30";
				    minExtent = "10 10";
				    visible = "1";
				    variable = "$autoPoints::buddy1";
				    helpTag = "0";
				    historySize = "0";
				     maxLength = "256";
				    password = "0";
				    glowOffset = "9 9";
			    };

	            new GuiTextCtrl() {
				    profile = "ShellMediumTextProfile";
				    horizSizing = "right";
				    vertSizing = "bottom";
				    position = "60 187";
				    extent = "10 10";
				    minExtent = "8 8";
				    visible = "1";
				    helpTag = "0";
				    text = "3:";
			    };
	            new ShellTextEditCtrl() {
 	                profile = "NewTextEditProfile";
  	                horizSizing = "right";
                    vertSizing = "bottom";
	                position = "75 180";
				    extent = "170 30";
				    minExtent = "10 10";
				    visible = "1";
				    variable = "$autoPoints::buddy2";
				    helpTag = "0";
				    historySize = "0";
				     maxLength = "256";
				    password = "0";
				    glowOffset = "9 9";
			    };

	            new GuiTextCtrl() {
				    profile = "ShellMediumTextProfile";
				    horizSizing = "right";
				    vertSizing = "bottom";
				    position = "60 217";
				    extent = "10 10";
				    minExtent = "8 8";
				    visible = "1";
				    helpTag = "0";
				    text = "4:";
			    };
	            new ShellTextEditCtrl() {
	                profile = "NewTextEditProfile";
	                horizSizing = "right";
	                vertSizing = "bottom";
	                position = "75 210";
				    extent = "170 30";
				    minExtent = "10 10";
				    visible = "1";
				    variable = "$autoPoints::buddy3";
				    helpTag = "0";
				    historySize = "0";
				     maxLength = "256";
				    password = "0";
				    glowOffset = "9 9";
			    };

	            new GuiTextCtrl() {
				    profile = "ShellMediumTextProfile";
				    horizSizing = "right";
				    vertSizing = "bottom";
				    position = "60 247";
				    extent = "10 10";
				    minExtent = "8 8";
				    visible = "1";
				    helpTag = "0";
				    text = "5:";
			    };
	            new ShellTextEditCtrl() {
	                profile = "NewTextEditProfile";
	                horizSizing = "right";
	                vertSizing = "bottom";
	                position = "75 240";
				    extent = "170 30";
				    minExtent = "10 10";
				    visible = "1";
				    variable = "$autoPoints::buddy4";
				    helpTag = "0";
				    historySize = "0";
				     maxLength = "256";
				    password = "0";
				    glowOffset = "9 9";
			    };

	            new GuiTextCtrl() {
				    profile = "ShellMediumTextProfile";
				    horizSizing = "right";
				    vertSizing = "bottom";
				    position = "60 277";
				    extent = "10 10";
				    minExtent = "8 8";
				    visible = "1";
				    helpTag = "0";
				    text = "6:";
			    };
	            new ShellTextEditCtrl() {
	                profile = "NewTextEditProfile";
	                horizSizing = "right";
	                vertSizing = "bottom";
	                position = "75 270";
				    extent = "170 30";
				    minExtent = "10 10";
				    visible = "1";
				    variable = "$autoPoints::buddy5";
				    helpTag = "0";
				    historySize = "0";
				     maxLength = "256";
				    password = "0";
				    glowOffset = "9 9";
			    };

	            new GuiTextCtrl() {
				    profile = "ShellMediumTextProfile";
				    horizSizing = "right";
				    vertSizing = "bottom";
				    position = "60 307";
				    extent = "10 10";
				    minExtent = "8 8";
				    visible = "1";
				    helpTag = "0";
				    text = "7:";
			    };
	            new ShellTextEditCtrl() {
	                profile = "NewTextEditProfile";
	                horizSizing = "right";
	                vertSizing = "bottom";
	                position = "75 300";
				    extent = "170 30";
				    minExtent = "10 10";
				    visible = "1";
				    variable = "$autoPoints::buddy6";
				    helpTag = "0";
				    historySize = "0";
				     maxLength = "256";
				    password = "0";
				    glowOffset = "9 9";
			    };

	            new GuiTextCtrl() {
				    profile = "ShellMediumTextProfile";
				    horizSizing = "right";
				    vertSizing = "bottom";
				    position = "60 337";
				    extent = "10 10";
				    minExtent = "8 8";
				    visible = "1";
				    helpTag = "0";
				    text = "8:";
			    };
	            new ShellTextEditCtrl() {
	                profile = "NewTextEditProfile";
	                horizSizing = "right";
	                vertSizing = "bottom";
	                position = "75 330";
				    extent = "170 30";
				    minExtent = "10 10";
				    visible = "1";
				    variable = "$autoPoints::buddy7";
				    helpTag = "0";
				    historySize = "0";
				     maxLength = "256";
				    password = "0";
				    glowOffset = "9 9";
			    };

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "60 367";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "9:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "75 360";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy8";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "60 397";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "10:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "75 390";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy9";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 127";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "11:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 120";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy10";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 157";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "12:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 150";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy11";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 187";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "13:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 180";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy12";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 217";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "14:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 210";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy13";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 247";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "15:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 240";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy14";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 277";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "16:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 270";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy15";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 307";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "17:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 300";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy16";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 337";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "18:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 330";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy17";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 367";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "19:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 360";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy18";
					helpTag = "0";
					historySize = "0";
					 maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new GuiTextCtrl() {
					profile = "ShellMediumTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 397";
					extent = "10 10";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					text = "20:";
				};
				new ShellTextEditCtrl() {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "265 390";
					extent = "170 30";
					minExtent = "10 10";
					visible = "1";
					variable = "$autoPoints::buddy19";
					helpTag = "0";
					historySize = "0";
					maxLength = "256";
					password = "0";
					glowOffset = "9 9";
				};

				new ShellBitmapButton() {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "250 27";
					extent = "173 38";
					minExtent = "32 38";
					visible = "1";
					command = "apSaveSettings();";
					helpTag = "0";
					text = "SAVE CHANGES";
					simpleStyle = "0";
				};
        };
    };
};
// EOF - Upgraded File - scripts/autoexec/-boots-/autoPoints.cs
